flipflop(6)

NAME
flipflop - draws a grid of 3D squares that change positions

SYNOPSIS
flipflop [-display host:display.screen] [-visual visual] [-window] [-count number | -free number] [-size number] [-size-x number] [-size-y number] [-spin number] [-mode sticks | tiles] [-delay number] [-wireframe] [-fps] [-texture]

DESCRIPTION
Flipflop draws a grid of 3D colored tiles that change positions with each other.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Number of tiles on the board. A value of "0" means "default". The default number of tiles depends on the size of the board and the mode: 95% of total tiles for "tiles" mode and 80% of total sticks for "sticks" mode (e.g. 76 tiles or 64 sticks for a 9x9 board).

-free number
    Number of tiles missing from the board. See -count.

-size number
    Number of tiles on each side of the board. Takes precedence over -size-x and -size-y. Default: 9.

-size-x number
    Width (in tiles) of the board. Default: 9.

-size-y number
    Length (in tiles) of the board. Default: 9.

-spin number
    Angular velocity for the rotation of the board.

-mode sticks
    Draw hopping sticks instead of flipping tiles.

-mode tiles
    Draw flipping tiles. This is the default.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-fps | -no-fps
    Display the current frame rate, CPU load, and polygon count.

-wireframe
    Only draw outlines.

-texture | -no-texture
    Whether to texture the tiles with a screen grab or an image.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Kevin Ogden. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Kevin Ogden <kogden1@hotmail.com>. Some additional code by Sergio Gutierrez <sergut@gmail.com>.